Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetMapper Class Reference

`#include <vtkDataSetMapper.h>`

Inheritance diagram for vtkDataSetMapper:

[legend]
Collaboration diagram for vtkDataSetMapper:

[legend]
List of all members.

## Detailed Description

map vtkDataSet and derived classes to graphics primitives

Date:
  2002/05/28 03:33:50

Revision:
  1.54

vtkDataSetMapper is a mapper to map data sets (i.e., vtkDataSet and all derived classes) to graphics primitives. The mapping procedure is as follows: all 0D, 1D, and 2D cells are converted into points, lines, and polygons/triangle strips and then mapped to the graphics system. The 2D faces of 3D cells are mapped only if they are used by only one cell, i.e., on the boundary of the data set.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Martin, Ken (11%)
  - Law, Charles (7%)
  - Avila, Lisa (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkDataSetMapper.cxx)`
  - .`h` (`/Rendering/vtkDataSetMapper.h)`

Examples:
  vtkDataSetMapper (Examples)

Tests:
  vtkDataSetMapper (Tests)

Definition at line 57 of file vtkDataSetMapper.h.

## Public Types
typedef vtkMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Render (vtkRenderer *ren, vtkActor *act)
void | ReleaseGraphicsResources (vtkWindow *)
unsigned long | GetMTime ()
virtual vtkPolyDataMapper * | GetPolyDataMapper ()
void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
vtkDataSetMapper * | New ()
int | IsTypeOf (const char *type)
vtkDataSetMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetMapper ()
| ~vtkDataSetMapper ()
## Protected Attributes
vtkDataSetSurfaceFilter * | GeometryExtractor
vtkPolyDataMapper * | PolyDataMapper

## Member Typedef Documentation

typedef vtkMapper vtkDataSetMapper::Superclass

| Reimplemented from vtkMapper. Definition at line 61 of file vtkDataSetMapper.h.

## Constructor & Destructor Documentation

vtkDataSetMapper::vtkDataSetMapper | ( |  | ) | `[protected]`

vtkDataSetMapper::~vtkDataSetMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataSetMapper* vtkDataSetMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDataSetMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMapper.

int vtkDataSetMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper.

virtual int vtkDataSetMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper.

vtkDataSetMapper* vtkDataSetMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMapper.

void vtkDataSetMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMapper.

void vtkDataSetMapper::Render | ( | vtkRenderer * | ren,
|  | vtkActor * | act
| ) | `[virtual]`

| Method initiates the mapping process. Generally sent by the actor as each frame is rendered. Implements vtkMapper.

virtual vtkPolyDataMapper* vtkDataSetMapper::GetPolyDataMapper | ( |  | ) | `[virtual]`

| Get the internal poly data mapper used to map data set to graphics system.

void vtkDataSetMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkMapper.

unsigned long vtkDataSetMapper::GetMTime | ( |  | ) | `[virtual]`

| Get the mtime also considering the lookup table. Reimplemented from vtkMapper.

void vtkDataSetMapper::SetInput | ( | vtkDataSet * | input | ) |

| Set the Input of this mapper.

vtkDataSet* vtkDataSetMapper::GetInput | ( |  | ) |

| Set the Input of this mapper. Reimplemented from vtkMapper.

## Member Data Documentation

vtkDataSetSurfaceFilter* vtkDataSetMapper::GeometryExtractor`[protected]`

| Definition at line 89 of file vtkDataSetMapper.h.

vtkPolyDataMapper* vtkDataSetMapper::PolyDataMapper`[protected]`

| Definition at line 90 of file vtkDataSetMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkDataSetMapper.h